## GstGLMixer GstGLMixer |

## Functions

gboolean | (*GstGLMixerProcessFunc) ()
gboolean | (*GstGLMixerSetCaps) ()
void | (*GstGLMixerReset) ()
gboolean | (*GstGLMixerProcessTextures) ()
gboolean | gst_gl_mixer_process_textures ()

## Types and Values

struct | GstGLMixerPad
struct | GstGLMixerPadClass
struct | GstGLMixer
struct | GstGLMixerClass
struct | GstGLMixerFrameData

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ├── GstElement
                │   ╰── GstAggregator
                │       ╰── GstVideoAggregator
                │           ╰── GstGLMixer
                ╰── GstPad
                    ╰── GstAggregatorPad
                        ╰── GstVideoAggregatorPad
                            ╰── GstGLMixerPad

## Implemented Interfaces

GstGLMixer implements GstChildProxy.

## Description

## Functions

### GstGLMixerProcessFunc ()

    gboolean
    (*GstGLMixerProcessFunc) (GstGLMixer *mix,
                              GPtrArray *buffers,
                              GstBuffer *outbuf);

### GstGLMixerSetCaps ()

    gboolean
    (*GstGLMixerSetCaps) (GstGLMixer *mixer,
                          GstCaps *outcaps);

### GstGLMixerReset ()

    void
    (*GstGLMixerReset) (GstGLMixer *mixer);

### GstGLMixerProcessTextures ()

    gboolean
    (*GstGLMixerProcessTextures) (GstGLMixer *mix,
                                  GPtrArray *frames,
                                  guint out_tex);

### gst_gl_mixer_process_textures ()

    gboolean
    gst_gl_mixer_process_textures (GstGLMixer *mix,
                                   GstBuffer *outbuf);

## Types and Values

### struct GstGLMixerPad

    struct GstGLMixerPad;

### struct GstGLMixerPadClass

    struct GstGLMixerPadClass {
      GstVideoAggregatorPadClass parent_class;
    };

### struct GstGLMixer

    struct GstGLMixer;

### struct GstGLMixerClass

    struct GstGLMixerClass {
      GstVideoAggregatorClass parent_class;

      GstGLMixerSetCaps set_caps;
      GstGLMixerReset reset;
      GstGLMixerProcessFunc process_buffers;
      GstGLMixerProcessTextures process_textures;
    };

### struct GstGLMixerFrameData

    struct GstGLMixerFrameData {
      GstGLMixerPad *pad;
      guint texture;
    };